@import url('https://fonts.googleapis.com/css2?family=Alegreya+Sans+SC:ital,wght@0,100;0,300;0,400;0,500;0,700;0,800;0,900;1,100;1,300;1,400;1,500;1,700;1,800;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* Variabler för CSS */
:root {
    --white-color: #fff;
    --primary-color: #000000;
    --light-styling-color: #004aad; 
    --dark-styling-color: #06365b;
    --dark-gray-color: #333333;
    --poppins-font: 'Poppins';
    --montserrat-font: 'Montserrat';
    --alegreya-font: "Alegreya Sans SC", serif;    
}

/* Gör så att det inte blir något content som blir överflödat i x-led */
body {
    overflow-x: hidden;
}
/* Hero-section. */
#hero-batvard {
    width: 100%;
    height: 80vh;
    background-image: url('../img/batvard-hero.png');
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero-batvard-container {
    width: 95%;
    height: 90%;
    display: flex;
    justify-content: flex-start;
}

.hero-batvard-content {
    width: 45%;
    height: 100%;
}


.hbc-title { 
    width: 90%;
    height: 45%;
}

.hbc-title h1 {
    width: 500px;
    font-family: var(--montserrat-font);
    font-weight: normal;
    font-size: 3.5em;
}

.hbc-title h1 span {
    font-weight: bold;
}

.hbc-paragraf {
    height: 20vh;
    width: 100%;
}

.hbc-paragraf p {
    width: 450px;
    font-size: 1.6em;
    font-family: var(--poppins-font);
}

.hbc-button {
    width: 100%;
    height: 15vh;
}

.hbc-button a{
    width: 250px;
    height: 60px;
    font-family: var(--alegreya-font);
    font-size: 2.1em;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    background-color: var(--light-styling-color);
    color: var(--white-color);
    text-decoration: none;
    transition: all .3s ease-in-out;
}

.hbc-button a:hover {
    background-color: #0056b3;
    transform: translateY(-2px);
    color: var(--white-color);
}

/* HERO END */
.introduction-stad {
    width: 100%;
    height: 150vh;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.introduction-stad p {
    font-size: 1.3em;
    font-family: var(--poppins-font);
    width: 800px;
}

.is-title {
    height: 30vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.is-title h1 {
    font-family: var(--poppins-font);
    font-style: italic;
}

.is-title h3 {
    font-family: var(--poppins-font);
    font-weight: normal;
}
/* INTRODUCTION END */

.find-boat {
    width: 100%;
    height: 120vh;
}

.find-boat-title {
    width: 100%;
    height: 30vh;
    display: flex;
    justify-self: flex-start;
    align-items: flex-end;
}

.find-boat-title h1 {
    color: var(--primary-color);
    font-family: var(--poppins-font);
    font-size: 3.5em;
}

.find-boat-cards {
    width: 100%;
    height: 70vh;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
}

.find-boat-card {
    width: 405px;
    height: 600px;
    border-radius: 10px;
    margin: 30px 30px 30px 0;
    display: grid;
}

.find-boat-card img {
    width: 100%;
    height: 400px;
    object-fit: cover;
}

.find-boat-card h1 {
    font-size: 1.7em;
    color: var(--primary-color);
    font-family: var(--poppins-font);
    font-weight: normal;
}

.find-boat-card p {
    font-size: 1em;
    font-family: var(--poppins-font);
    color: var(--dark-gray-color);
}

/* FIND SECTION ENDS */

.batvard-services {
    height: 200vh;
    width: 100%;
    display: grid;
    gap: 20px;
}

.bs-card {
    width: 100%;
    height: 85vh;
    display: flex;
    box-sizing: border-box;
}

.bs-card-left-section {
    width: 45%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    background-color: var(--dark-styling-color);
    padding: 20px;
}

.bs-card-ls-title {
    width: 100%;
    text-align: center;
}

.bs-card-ls-title h1 {
    font-size: 3.2em;
    color: var(--white-color);
    font-family: var(--montserrat-font);
    font-weight: 600;
}

.bs-card-ls-paragraf {
    width: 80%;
    max-width: 400px;
    text-align: center;
}

.bs-card-ls-paragraf p {
    color: var(--white-color);
    font-size: 1.3em;
    font-family: var(--poppins-font);
    line-height: 1.5;
}

.bs-card-ls-button {
    width: 100%;
    display: flex;
    justify-content: center;
}

.bs-card-ls-button a {
    width: 280px;
    height: 70px;
    font-family: var(--alegreya-font);
    font-size: 2em;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--primary-color);
    text-decoration: none;
    background-color: var(--white-color);
    border-radius: 10px;
    transition: all 0.3s ease-in-out;
}

.bs-card-ls-button a:hover {
    background-color: #0056b3;
    transform: translateY(-2px);
    color: var(--white-color);
}

.bs-card-right-section {
    width: 55%;
    height: 100%;
    background-size: cover;
    background-position: center;
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
}

.bs-card-right-section-1{
    width: 55%;
    height: 100%;
    background-image: url('../img/polering-2.jpg');
    background-size: cover;
    background-position: center;
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
}

.bs-card-right-section-2 {
    width: 55%;
    height: 100%;
    background-image: url('../img/batmotor.png');

    background-size: cover;
    background-position: center;
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
}


.bs-card-rs-lines {
    display: flex;
    flex-direction: column;
}

.line {
    width: 80%;
    max-width: 400px;
    height: 7vh;
    background-color: var(--dark-styling-color);
    margin: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    padding: 10px;
}

.line h1 {
    font-size: 1.6em;
    color: var(--white-color);
    font-family: var(--alegreya-font);
    font-weight: normal;
    text-align: center;
}

/* HOW TO BOOK START */

.how-to-book {
    width: 100%;
    height: 80vh;
}

.htb-title {
    width: 100%;
    height: 20vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.htb-title h1 {
    font-size: 4em;
    font-family: var(--poppins-font);
    color: var(--light-styling-color);
}

.htb-section {
    width: 100%;
    height: 40vh;
    display: flex;
    justify-content: space-around;
}

.htb-section-card {
    height: 40vh;
    width: 15vw;
    display: flex;
    flex-direction: column;
}

.htb-logo {
    display: flex;
    justify-content: center;
    height: 20vh;
}

.htb-logo img {
    height: 175px;
    width: 175px;
}

.htb-paragraf {
    width: 100%;
    height: 20vh;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.htb-paragraf h2 {
    color: var(--dark-styling-color);
    font-family: var(--poppins-font);
}

.htb-paragraf h2 span {
    text-decoration: underline;
}

.htb-paragraf p {
    color: var(--primary-color);
    font-family: var(--poppins-font);
    width: 200px;
    font-size: 1.2em;
}

.htb-paragraf p a {
    color: #004aad;
    text-decoration: none;
}

/* HOW TO BOOK END */
.help-message-section {
    height: 80vh;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.hms-top-section {
    width: 100%;
    height: 30vh;
    display: flex;

}

.hms-ts-left {
    width: 50%;
    height: 100%;
}

.hms-ts-left h1 {
    font-family: var(--poppins-font);
    font-weight: normal;
    font-size: 3em;
    width: 550px;
}

.hms-ts-left h1 span {
    font-weight: bold;
}

.hms-ts-right {
    width: 50%;
    height: 100%;
    display: flex;
}

.hmsts-left {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hmsts-left p {
    font-family: var(--poppins-font);
    color: var(--dark-styling-color);
    width: 300px;
    font-size: 1.3em;
}

.hmsts-left a {
    background-color: #0d355d;
    height: 70px;
    width: 200px;
    font-size: 2em;
    color: white;
    font-family: var(--alegreya-font);
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;

    margin-top: 40px;
}

.hmsts-right {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hmsts-right p {
    font-family: var(--poppins-font);
    color: var(--dark-styling-color);
    width: 300px;
    font-size: 1.3em;
}

.hmsts-right a {
    background-color: #0d355d;
    height: 70px;
    width: 200px;
    font-size: 2em;
    color: white;
    font-family: var(--alegreya-font);
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;

    margin-top: 40px;
}

.hms-bottom-section {
    width: 100%;
    height: 50vh;
    display: flex;
}

.hts-bs-left {
    width: 70%;
    height: 50vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.hts-bs-left img {
    width: 100%;
    height: 50%;
    object-fit: cover;
    gap: 20px;
}

.hts-bs-left img:first-child {
    width: 100%;
    height: 45%;
}

.hts-bs-right {
    width: 30%;
    height: 50vh;
    display: flex;
    justify-content: flex-end;
}

.hts-bs-right img {
    height: 100%;
    width: 90%;
    object-fit: cover;
}

@media (max-width: 1280px) {
    .introduction-stad {
        height: 240vh;
    }
    .hbc-title h1 {
        font-size: 2em;
        width: 350px;
    }
    .hbc-paragraf p {
        font-size: 1.2em;
        width: 300px;
    }

    .find-boat {
        height: 170vh;
    }
    .find-boat-title h1 {
        font-size: 2em;
    }

    .find-boat-card {
        height: 400px;
    }

    .find-boat-card img {
        height: 300px;
    }
    .bs-card-ls-title h1 {
        font-size: 2em;
    }

    .bs-card-ls-paragraf p {
        font-size: 1em;
    }

    .bs-card-ls-button a {
        width: 200px;
        font-size: 1.7em;
    }

    .line h1 {
        font-size: 1.15em;
    }

    .htb-title {
        height: 10vh;
    }

    .htb-title h1{
        font-size: 2.5em;
    }

    .htb-logo img {
        width: 100px;
        height: 100px;
    }
    .htb-section {
        height: 60vh;
    }
    .help-message-section {
        height: 100vh;
    }
    .hms-top-section {
        height: 40vh;
    }
    .hms-bottom-section {
        height: 50vh;
    }
    .hms-ts-left h1 {
        font-size: 2.5em;
        width: 500px;
    }
}

@media screen and (max-width: 1024px) {
    .is-title {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .is-title h1 {
        font-size: 1.6em;
        width: 360px;
    }
    .introduction-stad {
        height: 300vh;
    }
    .introduction-stad p {
        font-size: 1em;
        width: 300px;
    }
    .find-boat-cards {
        height: 300vh;
        flex-direction: column;
    }
    .find-boat-card p {
        font-size: 0.8em;
    }
    .bs-card {
        width: 100%;
        height: 200vh;
        display: flex
    ;
        box-sizing: border-box;
        flex-direction: column; 
        /* ^^^ */
    }
    .bs-card-left-section  {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
        background-color: var(--dark-styling-color);
        padding: 20px;
    }
    .bs-card-right-section-1 {
        width: 100%;
    }
    .bs-card-right-section-2 {
        width: 100%;
    }
    .bs-card-right-section-3 {
        width: 100%;
    }
    .batvard-services {
        height: 400vh;
    }
    .how-to-book {
        height: 180vh;
    }
    .htb-title {
        height: 20vh;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .htb-title h1 {
        font-size: 1.6em;
    }
    .htb-section {
        flex-direction: column;
        align-items: center;
        height: 140vh;
    }
    .htb-section-card {
        margin: 40px;
    }
    .htb-logo {
        height: 8vh;
    }
    .htb-paragraf h2{
        font-size: 1,2em;
    }
    .htb-logo img {
        width: 50px;
        height: 50px;
    }

    .help-message-section {
        height: 100vh;
    }
    .hms-top-section {
        height: 50vh;
        width: 100%;
        flex-direction: column;
    }
    .hms-ts-left {
        width: 100%;
    }
    .hms-ts-left h1{
        font-size: 2em;
        width: 100%;
        text-align: center;
    }

    .hms-ts-right {
        width: 100%;
        justify-content: space-around;
    }
    .hms-ts-right div {
        align-items: center;
    }
    .hms-ts-right p {
        font-size: 14px;
        width: 180px;
    }
    .hms-ts-right a {
        width: 150px;
        font-size: 1.5em;
        height: 40px;
        
    }
    .hmsts-left {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
    .hmsts-left p, .hmsts-right p {
        font-size: 18px;
    }
    .hmsts-right {

        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
    .hts-bs-right {
        display: none;
    }
    .hms-bottom-section {
        margin: 10px;
    }
    .hts-bs-left {
        width: 100%;
    }
}